package com.mortals.xhx.module.classify.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:ClassifyOption
* date: 2021-9-6 14:40:57
*/
public class ClassifyOptionQuery extends ClassifyOptionEntity{
    private static final long serialVersionUID = 1630910457283L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 一件事问题表id */
    private Long classifyIdStart;

    /** 结束 一件事问题表id */
    private Long classifyIdEnd;

    /** 增加 一件事问题表id */
    private Long classifyIdIncrement;

    /** 一件事问题表id */
    private List <Long> classifyIdList;

    /** 开始 一件事下个问题id */
    private Long classifyNextIdStart;

    /** 结束 一件事下个问题id */
    private Long classifyNextIdEnd;

    /** 增加 一件事下个问题id */
    private Long classifyNextIdIncrement;

    /** 一件事下个问题id */
    private List <Long> classifyNextIdList;


    /** 选项名称 */
    private List<String> nameList;

    /** 开始 是否最终节点 0否 1是 */
    private Integer isendStart;

    /** 结束 是否最终节点 0否 1是 */
    private Integer isendEnd;

    /** 增加 是否最终节点 0否 1是 */
    private Integer isendIncrement;

    /** 是否最终节点 0否 1是 */
    private List <Integer> isendList;
    /** 开始 基本信息模板id */
    private Long basicsinfoIdStart;

    /** 结束 基本信息模板id */
    private Long basicsinfoIdEnd;

    /** 增加 基本信息模板id */
    private Long basicsinfoIdIncrement;

    /** 基本信息模板id */
    private List <Long> basicsinfoIdList;


    /** 申请条件id */
    private List<String> acceptIdList;

    /** 办理流程id */
    private List<String> flowlimitIdList;

    /** 事项关联id */
    private List<String> matterIdList;

    /** 材料id */
    private List<String> datumIdList;

    /** 开始 备注类型 1常规备注 2终结备注 */
    private Integer summaryTypeStart;

    /** 结束 备注类型 1常规备注 2终结备注 */
    private Integer summaryTypeEnd;

    /** 增加 备注类型 1常规备注 2终结备注 */
    private Integer summaryTypeIncrement;

    /** 备注类型 1常规备注 2终结备注 */
    private List <Integer> summaryTypeList;

    /** 备注 */
    private List<String> summaryList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ClassifyOptionQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ClassifyOptionQuery> andConditionList;


    public ClassifyOptionQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 一件事问题表id
    * @return classifyIdStart
    */
    public Long getClassifyIdStart(){
    return this.classifyIdStart;
    }

    /**
    * 设置 开始 一件事问题表id
    * @param classifyIdStart
    */
    public void setClassifyIdStart(Long classifyIdStart){
    this.classifyIdStart = classifyIdStart;
    }

    /**
    * 获取 结束 一件事问题表id
    * @return classifyIdEnd
    */
    public Long getClassifyIdEnd(){
    return this.classifyIdEnd;
    }

    /**
    * 设置 结束 一件事问题表id
    * @param classifyIdEnd
    */
    public void setClassifyIdEnd(Long classifyIdEnd){
    this.classifyIdEnd = classifyIdEnd;
    }

    /**
    * 获取 增加 一件事问题表id
    * @return classifyIdIncrement
    */
    public Long getClassifyIdIncrement(){
    return this.classifyIdIncrement;
    }

    /**
    * 设置 增加 一件事问题表id
    * @param classifyIdIncrement
    */
    public void setClassifyIdIncrement(Long classifyIdIncrement){
    this.classifyIdIncrement = classifyIdIncrement;
    }

    /**
    * 获取 一件事问题表id
    * @return classifyIdList
    */
    public List<Long> getClassifyIdList(){
    return this.classifyIdList;
    }

    /**
    * 设置 一件事问题表id
    * @param classifyIdList
    */
    public void setClassifyIdList(List<Long> classifyIdList){
        this.classifyIdList = classifyIdList;
        }
    /**
    * 获取 开始 一件事下个问题id
    * @return classifyNextIdStart
    */
    public Long getClassifyNextIdStart(){
    return this.classifyNextIdStart;
    }

    /**
    * 设置 开始 一件事下个问题id
    * @param classifyNextIdStart
    */
    public void setClassifyNextIdStart(Long classifyNextIdStart){
    this.classifyNextIdStart = classifyNextIdStart;
    }

    /**
    * 获取 结束 一件事下个问题id
    * @return classifyNextIdEnd
    */
    public Long getClassifyNextIdEnd(){
    return this.classifyNextIdEnd;
    }

    /**
    * 设置 结束 一件事下个问题id
    * @param classifyNextIdEnd
    */
    public void setClassifyNextIdEnd(Long classifyNextIdEnd){
    this.classifyNextIdEnd = classifyNextIdEnd;
    }

    /**
    * 获取 增加 一件事下个问题id
    * @return classifyNextIdIncrement
    */
    public Long getClassifyNextIdIncrement(){
    return this.classifyNextIdIncrement;
    }

    /**
    * 设置 增加 一件事下个问题id
    * @param classifyNextIdIncrement
    */
    public void setClassifyNextIdIncrement(Long classifyNextIdIncrement){
    this.classifyNextIdIncrement = classifyNextIdIncrement;
    }

    /**
    * 获取 一件事下个问题id
    * @return classifyNextIdList
    */
    public List<Long> getClassifyNextIdList(){
    return this.classifyNextIdList;
    }

    /**
    * 设置 一件事下个问题id
    * @param classifyNextIdList
    */
    public void setClassifyNextIdList(List<Long> classifyNextIdList){
        this.classifyNextIdList = classifyNextIdList;
        }
    /**
    * 获取 选项名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 选项名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 开始 是否最终节点 0否 1是
    * @return isendStart
    */
    public Integer getIsendStart(){
        return this.isendStart;
    }

    /**
    * 设置 开始 是否最终节点 0否 1是
    * @param isendStart
    */
    public void setIsendStart(Integer isendStart){
        this.isendStart = isendStart;
    }

    /**
    * 获取 结束 是否最终节点 0否 1是
    * @return isendEnd
    */
    public Integer getIsendEnd(){
        return this.isendEnd;
    }

    /**
    * 设置 结束 是否最终节点 0否 1是
    * @param isendEnd
    */
    public void setIsendEnd(Integer isendEnd){
        this.isendEnd = isendEnd;
    }

    /**
    * 获取 增加 是否最终节点 0否 1是
    * @return isendIncrement
    */
    public Integer getIsendIncrement(){
        return this.isendIncrement;
    }

    /**
    * 设置 增加 是否最终节点 0否 1是
    * @param isendIncrement
    */
    public void setIsendIncrement(Integer isendIncrement){
        this.isendIncrement = isendIncrement;
    }

    /**
    * 获取 是否最终节点 0否 1是
    * @return isendList
    */
    public List<Integer> getIsendList(){
        return this.isendList;
    }

    /**
    * 设置 是否最终节点 0否 1是
    * @param isendList
    */
    public void setIsendList(List<Integer> isendList){
        this.isendList = isendList;
    }
    /**
    * 获取 开始 基本信息模板id
    * @return basicsinfoIdStart
    */
    public Long getBasicsinfoIdStart(){
    return this.basicsinfoIdStart;
    }

    /**
    * 设置 开始 基本信息模板id
    * @param basicsinfoIdStart
    */
    public void setBasicsinfoIdStart(Long basicsinfoIdStart){
    this.basicsinfoIdStart = basicsinfoIdStart;
    }

    /**
    * 获取 结束 基本信息模板id
    * @return basicsinfoIdEnd
    */
    public Long getBasicsinfoIdEnd(){
    return this.basicsinfoIdEnd;
    }

    /**
    * 设置 结束 基本信息模板id
    * @param basicsinfoIdEnd
    */
    public void setBasicsinfoIdEnd(Long basicsinfoIdEnd){
    this.basicsinfoIdEnd = basicsinfoIdEnd;
    }

    /**
    * 获取 增加 基本信息模板id
    * @return basicsinfoIdIncrement
    */
    public Long getBasicsinfoIdIncrement(){
    return this.basicsinfoIdIncrement;
    }

    /**
    * 设置 增加 基本信息模板id
    * @param basicsinfoIdIncrement
    */
    public void setBasicsinfoIdIncrement(Long basicsinfoIdIncrement){
    this.basicsinfoIdIncrement = basicsinfoIdIncrement;
    }

    /**
    * 获取 基本信息模板id
    * @return basicsinfoIdList
    */
    public List<Long> getBasicsinfoIdList(){
    return this.basicsinfoIdList;
    }

    /**
    * 设置 基本信息模板id
    * @param basicsinfoIdList
    */
    public void setBasicsinfoIdList(List<Long> basicsinfoIdList){
        this.basicsinfoIdList = basicsinfoIdList;
        }
    /**
    * 获取 申请条件id
    * @return acceptIdList
    */
    public List<String> getAcceptIdList(){
        return this.acceptIdList;
    }

    /**
    * 设置 申请条件id
    * @param acceptIdList
    */
    public void setAcceptIdList(List<String> acceptIdList){
        this.acceptIdList = acceptIdList;
    }
    /**
    * 获取 办理流程id
    * @return flowlimitIdList
    */
    public List<String> getFlowlimitIdList(){
        return this.flowlimitIdList;
    }

    /**
    * 设置 办理流程id
    * @param flowlimitIdList
    */
    public void setFlowlimitIdList(List<String> flowlimitIdList){
        this.flowlimitIdList = flowlimitIdList;
    }
    /**
    * 获取 事项关联id
    * @return matterIdList
    */
    public List<String> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项关联id
    * @param matterIdList
    */
    public void setMatterIdList(List<String> matterIdList){
        this.matterIdList = matterIdList;
    }
    /**
    * 获取 材料id
    * @return datumIdList
    */
    public List<String> getDatumIdList(){
        return this.datumIdList;
    }

    /**
    * 设置 材料id
    * @param datumIdList
    */
    public void setDatumIdList(List<String> datumIdList){
        this.datumIdList = datumIdList;
    }
    /**
    * 获取 开始 备注类型 1常规备注 2终结备注
    * @return summaryTypeStart
    */
    public Integer getSummaryTypeStart(){
        return this.summaryTypeStart;
    }

    /**
    * 设置 开始 备注类型 1常规备注 2终结备注
    * @param summaryTypeStart
    */
    public void setSummaryTypeStart(Integer summaryTypeStart){
        this.summaryTypeStart = summaryTypeStart;
    }

    /**
    * 获取 结束 备注类型 1常规备注 2终结备注
    * @return summaryTypeEnd
    */
    public Integer getSummaryTypeEnd(){
        return this.summaryTypeEnd;
    }

    /**
    * 设置 结束 备注类型 1常规备注 2终结备注
    * @param summaryTypeEnd
    */
    public void setSummaryTypeEnd(Integer summaryTypeEnd){
        this.summaryTypeEnd = summaryTypeEnd;
    }

    /**
    * 获取 增加 备注类型 1常规备注 2终结备注
    * @return summaryTypeIncrement
    */
    public Integer getSummaryTypeIncrement(){
        return this.summaryTypeIncrement;
    }

    /**
    * 设置 增加 备注类型 1常规备注 2终结备注
    * @param summaryTypeIncrement
    */
    public void setSummaryTypeIncrement(Integer summaryTypeIncrement){
        this.summaryTypeIncrement = summaryTypeIncrement;
    }

    /**
    * 获取 备注类型 1常规备注 2终结备注
    * @return summaryTypeList
    */
    public List<Integer> getSummaryTypeList(){
        return this.summaryTypeList;
    }

    /**
    * 设置 备注类型 1常规备注 2终结备注
    * @param summaryTypeList
    */
    public void setSummaryTypeList(List<Integer> summaryTypeList){
        this.summaryTypeList = summaryTypeList;
    }
    /**
    * 获取 备注
    * @return summaryList
    */
    public List<String> getSummaryList(){
        return this.summaryList;
    }

    /**
    * 设置 备注
    * @param summaryList
    */
    public void setSummaryList(List<String> summaryList){
        this.summaryList = summaryList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public ClassifyOptionQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public ClassifyOptionQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public ClassifyOptionQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public ClassifyOptionQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public ClassifyOptionQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  一件事问题表id
    * @param classifyId
    */
    public ClassifyOptionQuery classifyId(Long classifyId){
	    setClassifyId(classifyId);
		return this;
    }
	
	 /**
    * 设置 开始 一件事问题表id
    * @param classifyIdStart
    */
    public ClassifyOptionQuery classifyIdStart(Long classifyIdStart){
		this.classifyIdStart = classifyIdStart;
		return this;
    }

    /**
    * 设置 结束 一件事问题表id
    * @param classifyIdEnd
    */
    public ClassifyOptionQuery classifyIdEnd(Long classifyIdEnd){
		this.classifyIdEnd = classifyIdEnd;
		return this;
    }

    /**
    * 设置 增加 一件事问题表id
    * @param classifyIdIncrement
    */
    public ClassifyOptionQuery classifyIdIncrement(Long classifyIdIncrement){
		this.classifyIdIncrement = classifyIdIncrement;
		return this;
    }

    /**
    * 设置 一件事问题表id
    * @param classifyIdList
    */
    public ClassifyOptionQuery classifyIdList(List<Long> classifyIdList){
        this.classifyIdList = classifyIdList;
		return this;
        }

	/**
    * 设置  一件事下个问题id
    * @param classifyNextId
    */
    public ClassifyOptionQuery classifyNextId(Long classifyNextId){
	    setClassifyNextId(classifyNextId);
		return this;
    }
	
	 /**
    * 设置 开始 一件事下个问题id
    * @param classifyNextIdStart
    */
    public ClassifyOptionQuery classifyNextIdStart(Long classifyNextIdStart){
		this.classifyNextIdStart = classifyNextIdStart;
		return this;
    }

    /**
    * 设置 结束 一件事下个问题id
    * @param classifyNextIdEnd
    */
    public ClassifyOptionQuery classifyNextIdEnd(Long classifyNextIdEnd){
		this.classifyNextIdEnd = classifyNextIdEnd;
		return this;
    }

    /**
    * 设置 增加 一件事下个问题id
    * @param classifyNextIdIncrement
    */
    public ClassifyOptionQuery classifyNextIdIncrement(Long classifyNextIdIncrement){
		this.classifyNextIdIncrement = classifyNextIdIncrement;
		return this;
    }

    /**
    * 设置 一件事下个问题id
    * @param classifyNextIdList
    */
    public ClassifyOptionQuery classifyNextIdList(List<Long> classifyNextIdList){
        this.classifyNextIdList = classifyNextIdList;
		return this;
        }
	/**
    * 设置 选项名称
    * @param name
    */
    public ClassifyOptionQuery name(String name){
        setName(name);
		return this;
    }


    /**
    * 设置 选项名称
    * @param nameList
    */
    public ClassifyOptionQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }
	
	/**
    * 设置  是否最终节点 0否 1是
    * @param isend
    */
    public ClassifyOptionQuery isend(Integer isend){
        setIsend(isend);
		return this;
    }

    /**
    * 设置 开始 是否最终节点 0否 1是
    * @param isendStart
    */
    public ClassifyOptionQuery isendStart(Integer isendStart){
        this.isendStart = isendStart;
		return this;
    }


    /**
    * 设置 结束 是否最终节点 0否 1是
    * @param isendEnd
    */
    public ClassifyOptionQuery isendEnd(Integer isendEnd){
        this.isendEnd = isendEnd;
		return this;
    }


    /**
    * 设置 增加 是否最终节点 0否 1是
    * @param isendIncrement
    */
    public ClassifyOptionQuery isendIncrement(Integer isendIncrement){
        this.isendIncrement = isendIncrement;
		return this;
    }


    /**
    * 设置 是否最终节点 0否 1是
    * @param isendList
    */
    public ClassifyOptionQuery isendList(List<Integer> isendList){
        this.isendList = isendList;
		return this;
    }

	/**
    * 设置  基本信息模板id
    * @param basicsinfoId
    */
    public ClassifyOptionQuery basicsinfoId(Long basicsinfoId){
	    setBasicsinfoId(basicsinfoId);
		return this;
    }
	
	 /**
    * 设置 开始 基本信息模板id
    * @param basicsinfoIdStart
    */
    public ClassifyOptionQuery basicsinfoIdStart(Long basicsinfoIdStart){
		this.basicsinfoIdStart = basicsinfoIdStart;
		return this;
    }

    /**
    * 设置 结束 基本信息模板id
    * @param basicsinfoIdEnd
    */
    public ClassifyOptionQuery basicsinfoIdEnd(Long basicsinfoIdEnd){
		this.basicsinfoIdEnd = basicsinfoIdEnd;
		return this;
    }

    /**
    * 设置 增加 基本信息模板id
    * @param basicsinfoIdIncrement
    */
    public ClassifyOptionQuery basicsinfoIdIncrement(Long basicsinfoIdIncrement){
		this.basicsinfoIdIncrement = basicsinfoIdIncrement;
		return this;
    }

    /**
    * 设置 基本信息模板id
    * @param basicsinfoIdList
    */
    public ClassifyOptionQuery basicsinfoIdList(List<Long> basicsinfoIdList){
        this.basicsinfoIdList = basicsinfoIdList;
		return this;
        }
	/**
    * 设置 申请条件id
    * @param acceptId
    */
    public ClassifyOptionQuery acceptId(String acceptId){
        setAcceptId(acceptId);
		return this;
    }


    /**
    * 设置 申请条件id
    * @param acceptIdList
    */
    public ClassifyOptionQuery acceptIdList(List<String> acceptIdList){
        this.acceptIdList = acceptIdList;
		return this;
    }
	/**
    * 设置 办理流程id
    * @param flowlimitId
    */
    public ClassifyOptionQuery flowlimitId(String flowlimitId){
        setFlowlimitId(flowlimitId);
		return this;
    }


    /**
    * 设置 办理流程id
    * @param flowlimitIdList
    */
    public ClassifyOptionQuery flowlimitIdList(List<String> flowlimitIdList){
        this.flowlimitIdList = flowlimitIdList;
		return this;
    }
	/**
    * 设置 事项关联id
    * @param matterId
    */
    public ClassifyOptionQuery matterId(String matterId){
        setMatterId(matterId);
		return this;
    }


    /**
    * 设置 事项关联id
    * @param matterIdList
    */
    public ClassifyOptionQuery matterIdList(List<String> matterIdList){
        this.matterIdList = matterIdList;
		return this;
    }
	/**
    * 设置 材料id
    * @param datumId
    */
    public ClassifyOptionQuery datumId(String datumId){
        setDatumId(datumId);
		return this;
    }


    /**
    * 设置 材料id
    * @param datumIdList
    */
    public ClassifyOptionQuery datumIdList(List<String> datumIdList){
        this.datumIdList = datumIdList;
		return this;
    }
	
	/**
    * 设置  备注类型 1常规备注 2终结备注
    * @param summaryType
    */
    public ClassifyOptionQuery summaryType(Integer summaryType){
        setSummaryType(summaryType);
		return this;
    }

    /**
    * 设置 开始 备注类型 1常规备注 2终结备注
    * @param summaryTypeStart
    */
    public ClassifyOptionQuery summaryTypeStart(Integer summaryTypeStart){
        this.summaryTypeStart = summaryTypeStart;
		return this;
    }


    /**
    * 设置 结束 备注类型 1常规备注 2终结备注
    * @param summaryTypeEnd
    */
    public ClassifyOptionQuery summaryTypeEnd(Integer summaryTypeEnd){
        this.summaryTypeEnd = summaryTypeEnd;
		return this;
    }


    /**
    * 设置 增加 备注类型 1常规备注 2终结备注
    * @param summaryTypeIncrement
    */
    public ClassifyOptionQuery summaryTypeIncrement(Integer summaryTypeIncrement){
        this.summaryTypeIncrement = summaryTypeIncrement;
		return this;
    }


    /**
    * 设置 备注类型 1常规备注 2终结备注
    * @param summaryTypeList
    */
    public ClassifyOptionQuery summaryTypeList(List<Integer> summaryTypeList){
        this.summaryTypeList = summaryTypeList;
		return this;
    }
	/**
    * 设置 备注
    * @param summary
    */
    public ClassifyOptionQuery summary(String summary){
        setSummary(summary);
		return this;
    }


    /**
    * 设置 备注
    * @param summaryList
    */
    public ClassifyOptionQuery summaryList(List<String> summaryList){
        this.summaryList = summaryList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public ClassifyOptionQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public ClassifyOptionQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public ClassifyOptionQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public ClassifyOptionQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public ClassifyOptionQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public ClassifyOptionQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public ClassifyOptionQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public ClassifyOptionQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ClassifyOptionQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ClassifyOptionQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ClassifyOptionQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ClassifyOptionQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}